import { Modal, Form, Input, Switch } from 'antd';
import React from 'react';
import { Staff } from './types';

interface StaffModalProps {
    visible: boolean;
    editingStaff: Staff | null;
    form: any;
    onOk: () => void;
    onCancel: () => void;
}

export const StaffModal: React.FC<StaffModalProps> = ({
    visible,
    editingStaff,
    form,
    onOk,
    onCancel,
}) => {
    return (
        <Modal
            title={editingStaff ? "编辑员工" : "添加员工"}
            open={visible}
            onOk={onOk}
            onCancel={onCancel}
        >
            <Form form={form} layout="vertical">
                <Form.Item 
                    name="username" 
                    label="用户名"
                    rules={[{ required: true, message: '请输入用户名' }]}
                >
                    <Input />
                </Form.Item>
                <Form.Item 
                    name="showname" 
                    label="名称"
                    rules={[{ required: true, message: '请输入名称' }]}
                >
                    <Input />
                </Form.Item>
                <Form.Item 
                    name="absent" 
                    label="是否在位"
                    valuePropName="checked"
                >
                    <Switch 
                        checkedChildren="在位" 
                        unCheckedChildren="不在位" 
                    />
                </Form.Item>
            </Form>
        </Modal>
    );
};